Subject: Re: git grep bug replacing - with :

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Jun 2024 14:05:24 -0700

Eric Sunshine <[email-masked]> writes:

> On Fri, Jun 14, 2024 at 3:22 PM Rickard Andersson
> <[email-masked]> wrote:
>> What did you do before the bug happened? (Steps to reproduce your issue)
>>    Added 2 files to my repo with words in them
>>    text-file.txt
>>    text-file-file.txt
>>    ```
>>    git grep -l ExtremelyInterestingWord
>>    ```
>>
>> What happened instead? (Actual behavior)
>>    I get
>>    ```
>>    text:file.txt
>>    text:file-file.txt
>>    ```

If the command line were "git grep -l <pattern> text", and there is
a branch whose name is "text", and in the top level tree of that
"text" branch's commit there are file.txt and file-file.txt both of
which have the pattern, the symptom observed may appear.

But ...

> I am unable to reproduce this problem:
>
>     $ git version
>     git version 2.45.2
>     $ git init foo
>     Initialized empty Git repository in .../foo/.git/
>     $ cd foo
>     $ echo ExtremelyInterestingWord >text-file.txt
>     $ echo ExtremelyInterestingWord >text-file-file.txt
>     $ git add text-file.txt text-file-file.txt
>     $ git commit -m msg
>     [main (root-commit) 765269f] msg
>      2 files changed, 2 insertions(+)
>      create mode 100644 text-file-file.txt
>      create mode 100644 text-file.txt
>     $ git grep -l ExtremelyInterestingWord
>     text-file-file.txt
>     text-file.txt

... with your (i.e. Eric's) reproduction setup, which agrees with
the way how I interpreted the problem description in the original
report, I do not see there is any other possible output from it.

Thanks.